Bug 1203025 - x11-tools: fix nvidia pre-install script
x11-tools: fix nvidia pre-install script
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 3rd Party Driver
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Gfx Bugs
Stefan Dirsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-09-01 13:20 UTC by Antonio Feijoo
Modified: 2022-09-01 15:10 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Feijoo 2022-09-01 13:20:47 UTC
The x11-tools/nvidia-pre-install (/usr/lib/nvidia/pre-install) script contains obsolete parts:

# recreate initrd without KMS, if the use of KMS is enabled in initrd
if grep -q NO_KMS_IN_INITRD=\"no\" /etc/sysconfig/kernel; then
  sed -i 's/NO_KMS_IN_INITRD.*/NO_KMS_IN_INITRD="yes"/g' /etc/sysconfig/kernel
  mkinitrd
fi

- /etc/sysconfig/kernel hasn't been shipped for a long time.
- mkinitrd is deprecated and will be removed in the near future (see bug #1202351).
Comment 1 Stefan Dirsch 2022-09-01 14:36:36 UTC
Thanks. Fixed.
Comment 2 OBSbugzilla Bot 2022-09-01 15:10:02 UTC
This is an autogenerated message for OBS integration:
This bug (1203025) was mentioned in
https://build.opensuse.org/request/show/1000708 Factory / x11-tools